Bug 997003 - SubjectInfo.getRoles is null with cached credentials in SPNEGO
SubjectInfo.getRoles is null with cached credentials in SPNEGO
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Darran Lofthouse
Josef Cacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 09:17 EDT by Chris Dolphy
Modified: 2014-07-22 09:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-22 09:18:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SECURITY-747 Major Open SubjectInfo.getRoles is null with cached credentials in SPNEGO 2016-09-08 16:30 EDT

  None (edit)
Description Chris Dolphy 2013-08-14 09:17:08 EDT
Description of problem:
SecurityContextAssociation.getSecurityContext().getSubjectInfo().getRoles() returns the user's roles on the initial login, but if you refresh you get null. All subsequent calls will return null.

Version-Release number of selected component (if applicable):
EAP 6.1 with SPNEGO setup with KERBEROS 

How reproducible:
The JBoss Negotiation Toolkit (2.2.5)'s 3rd test calls uses this, so can be reproduced easily

Steps to Reproduce:
1. setting up a SPNEGO environment with a KDC, JBoss with SPNEGO configured in security module and browser configured to do Kerberos negotiation
2. install JBoss Negotiation Toolkit 2.2.5
3. log in
4. navigating to the 3rd test (which succeeds)
5. refresh and get a NullPointerException on subjectinfo.getRoles().getRoles()


Actual results:
SecurityContextAssociation.getSecurityContext().getSubjectInfo().getRoles() returns null which results in a NullPointerException with Jboss Negotiation Toolkit.

Expected results:
SecurityContextAssociation.getSecurityContext().getSubjectInfo().getRoles() returns user's roles.

Additional info:
Comment 1 Darran Lofthouse 2014-07-22 09:18:33 EDT
Since being raised almost one year ago this has not been proposed to be investigated / fixed in any release since - for that reason I am closing.

Note You need to log in before you can comment on or make changes to this bug.